shishi_key_version_set(3)

NAME
shishi_key_version_set - API function

SYNOPSIS
#include <shishi.h>

void shishi_key_version_set(Shishi_key * key, uint32_t kvno);

ARGUMENTS

Shishi_key * key
    structure that holds key information

uint32_t kvno
    new version integer.

DESCRIPTION
Set the version of key ("kvno") in key structure. Use UINT32_MAX for non-ptermanent keys.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.